Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044736
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] E. Translationmajorhave not tried2020-07-31 14:252020-08-05 13:18
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044736: org.openbravo.xmlpo contains 2 jar libraries causing split-package with java system image

DescriptionThis repository (not an openbravo module) contains the conversion tools between Openbravo translation xml-format and the standard po format.

https://gitlab.com/openbravo/product/mods/org.openbravo.xmlpo [^]

The repo contains 2 jar files causing split-package situation as described in 44733 issue.

a.) tools.jar
Collides with packages:['com.sun.javadoc', 'com.sun.jdi', 'com.sun.jdi.event', 'com.sun.jdi.request', 'com.sun.jdi.connect', 'com.sun.jdi.connect.spi', 'com.sun.jarsigner', 'com.sun.tools.javac', 'com.sun.tools.javadoc']
b.) xercesImpl.jar
Collides with packages:['org.w3c.dom', 'org.w3c.dom.html']

The first one is part of JDK and should just not be requires anyway.

The 2nd one is Xerces-J xml parser library which is only used indirectly via standard SAX parser interface (no specific xerces import in any java file in the module).

Test-deleting both jar files does not seems to affect functionality of the tool checked by running the unit tests inside the repo (ignoring the ones not working at all)
Steps To ReproduceThere is an utility script in this repo checking jar libraries and raising the split package situations:
https://gitlab.com/openbravo/tools/platform/jar-collision-finder [^]
Proposed SolutionDelete both jar files and verify functionality still works correctly.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0044733 newplatform Tracking issue: Find and fix all jar libaries with split packages between classpath and system image (Forbidden since Java9) 

-  Notes
(0121813)
hgbot (developer)
2020-08-04 16:49

Merge Request created: https://gitlab.com/openbravo/product/mods/org.openbravo.xmlpo/-/merge_requests/1 [^]
(0121852)
hgbot (developer)
2020-08-05 13:18

Merge request merged: https://gitlab.com/openbravo/product/mods/org.openbravo.xmlpo/-/merge_requests/1 [^]
(0121853)
hgbot (developer)
2020-08-05 13:18

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/mods/org.openbravo.xmlpo [^]
Changeset: 6925152f6a5f98b18965e195af155f793c3724cc
Author: Stefan Huehner <stefan.huehner@openbravo.com>
Date: 2020-08-04T16:45:36+02:00
URL: https://gitlab.com/openbravo/product/mods/org.openbravo.xmlpo/-/commit/6925152f6a5f98b18965e195af155f793c3724cc [^]

Fixes FR-44736: Remove tools.jar and xercesImpl.jar as not required.

Both jar files cause split package problem with JDK system image.
- tools.jar is old internals of jdk which should not be needed anway
- xercesImpl.jar is xerces 2.9 same as in main openbravo repository
  checking sources here code does not use xerces api manually but just
  standard sax api. Jdk ships with more recent version compard to this
  2.9 and code seems to run fine without this specific jar file

---
R lib/tools.jar
R lib/xercesImpl.jar
---

- Issue History
Date Modified Username Field Change
2020-07-31 14:25 shuehner New Issue
2020-07-31 14:25 shuehner Assigned To => platform
2020-07-31 14:25 shuehner Modules => Core
2020-07-31 14:25 shuehner Triggers an Emergency Pack => No
2020-07-31 14:25 shuehner Relationship added blocks 0044733
2020-08-04 16:49 hgbot Note Added: 0121813
2020-08-04 16:53 shuehner Assigned To platform => shuehner
2020-08-04 16:53 shuehner Status new => scheduled
2020-08-05 13:18 hgbot Note Added: 0121852
2020-08-05 13:18 hgbot Resolution open => fixed
2020-08-05 13:18 hgbot Status scheduled => closed
2020-08-05 13:18 hgbot Note Added: 0121853


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker